Subject: Re: Compiling Perl under b20.1
From: Sebastien Barre <[email-masked]>
To: Allan Peda <[email-masked]>
Cc: Cygwin Mailing List <[email-masked]>
Date: Fri, 05 Mar 1999 16:41:52 +0100

At 22:04 04/03/99 -0500, Allan Peda wrote:

>Has there been much success with this?  I've done it with MSVC + nmake,
>but I'd get more of a thrill using cygwin.

I did (5.005_002  static build, 91.4% successfull test).

As many people from this list helped me, I'd glad to offer the same. 

Basically, 

*) Read the README.cywin32

*) Edit the hints/cygwin32.sh file to reflect your paths.

Here are also a couple of settings I found useful when performing automatic
build (copy hints/cygwin32.sh to config.sh, and do sh Configure -d)

usedl='n'
i_stdarg='define'
i_varargs='undef'
osname='cygwin_nt-4.0'
osvers='20.1'
archname='cygwin32'
signal_t='int'
d_voidsig='define'
i_sysselct='undef'
signal_t='void'

*) Browse Usenet archives (DejaNews), and find  "HOWTO: Builiding Perl
under Win95/98 using Cygwin32 " 
Steven Morlock <[email-masked]>
1998/12/21
comp.lang.perl.misc

*) Then apply this patch (Thanks to Todd Goodman)

This is my change in Cwd.pm:
--- cwd.pm	Fri Feb 26 21:52:42 1999
+++ cwd.pm.orig	Fri Jan 22 20:49:54 1999
@@ -208,8 +208,6 @@
     my $start = @_ ? shift : '.';
     my($dotdots, $cwd, @pst, @cst, $dir, @tst);
 
-    return cwd() if ( $^O =~ /cygwin/ );
-
     unless (@cst = stat( $start ))
     {

And tell me (email) if it fails.

______________________________________________________________
Sebastien Barre                  http://www.hds.utc.fr/~barre/

--
Want to unsubscribe from this list?
Send a message to [email-masked]